Results 1 to 6 of 6
  1.    #1  
    I was reading books on my touchpad for months now all of a sudden I can no longer read them amazon states I need v4.0 for my touchpad to continue reading. Does anyone have advice?
  2. #2  
    My books still seem to work fine, though they are more than a year old and are most likely DRM free. How recent is the stuff you're trying to read and what publisher is it from?
  3.    #3  
    I have been trying now for a week to get answers. Like I said Amazon told me that since my version is 3. Something I need at least 4 to able to continue to read on my touchpad
  4.    #4  
    I have over 30 books that I have read on my touchpad. It has only been since last week that I haven't been able to read any books on my touchpad. I sent a problem report to Amazon & they got back to me. They only answer they had was that I needed version 4 current version will not work. But I'm not sure if they were talking of the kindle version or hp touchpad.
  5. #5  
    I would assume the mean a kindle app update. If that is the case u r screwed i think.

    -- Sent from my TouchPad using Communities
  6. #6  
    Quote Originally Posted by dee1958 View Post
    I have over 30 books that I have read on my touchpad. It has only been since last week that I haven't been able to read any books on my touchpad. I sent a problem report to Amazon & they got back to me. They only answer they had was that I needed version 4 current version will not work. But I'm not sure if they were talking of the kindle version or hp touchpad.
    Can you post a screenshot or something? Where exactly is this coming from? When you're trying to download a book, reading it, or opening the app itself?

Posting Permissions